Generate Download Bundle

Generate Download Bundle
Generate a link to download the fully packaged OVA bundle with all the provided images and additional content supplied by the client.

Create download bundle by packaging as OVA bundle with all provided VMIs and additional content supplied by the client. A task will be reported in the response and client needs to track the task for progress. Once Task completed successfully, download link will be reported in the Task's detail for downloading the final OVA.

Request
URI
POST
https://{api_host}/cloudapi/v1/contentLibraryItems/download
COPY
Request Body
DownloadRequest of type(s) application/json
Required

Show optional properties

{
    "bundleName": "blueprint",
    "metadataFileContent": "string",
    "projectId": "string"
}
{
    "bundleName": "blueprint",
    "metadataFileContent": "string",
    "imageIdentifiers": [
        "vmi-eb1e9a8771ea5c6c5"
    ],
    "projectId": "string"
}
string
bundleName
Required
Constraints: minLength: 1 maxLength: 128

The name of final deliverable bundle name. Supported File extension will be OVA only. It is not mandatory to provide OVA extension in file name.

string
metadataFileContent
Required

Base64 encoded String of additional file content supplied by the client. Allowed max size is 10 MB.

array of string
imageIdentifiers
Optional

List of VirtualMachineIdentifiers

string
projectId
Required

Valid project Id that logged-in user has access to.

Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"bundleName":"string","metadataFileContent":"string","projectId":"string"}' https://{api_host}/cloudapi/v1/contentLibraryItems/download